# Class AutoRecordingSettings

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

Represents the configuration settings for automatic recording functionality.

    public class AutoRecordingSettings

Inheritance
  object
  AutoRecordingSettings

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### AutoStart

    public AutoStart? AutoStart { get; set; }

#### Property Value

AutoStart

### AutoStop

    public AutoStop? AutoStop { get; set; }

#### Property Value

AutoStop

### MustSendAlert

    public MustSendAlert? MustSendAlert { get; set; }

#### Property Value

MustSendAlert